Package org.eclipse.microprofile.config.tck.converters.convertToNull

# Class ConvertedNullValueBrokenInjectionTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.config.tck.converters.convertToNull.ConvertedNullValueBrokenInjectionTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class ConvertedNullValueBrokenInjectionTest extends org.jboss.arquillian.testng.Arquillian
This is to test that when a converter returns null for some config value, an exception should be thrown and the defaultValue should not be used.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ConvertedNullValueBrokenInjectionTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.Archive`
`deployment()`
`void`
`test()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvertedNullValueBrokenInjectionTest

public ConvertedNullValueBrokenInjectionTest()

## Method Details

### deployment

@Deployment @ShouldThrowException(jakarta.enterprise.inject.spi.DeploymentException.class) public static org.jboss.shrinkwrap.api.Archive deployment()

### test

public void test()